Bug 55405 - ant download_jars task fails if lib/api or lib/doc are missing
ant download_jars task fails if lib/api or lib/doc are missing
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
Nightly (Please specify date)
PC Linux
: P2 minor (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2013-08-12 20:09 UTC by Antonio Gomes Rodrigues
Modified: 2013-08-14 17:24 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Gomes Rodrigues 2013-08-12 20:09:35 UTC
On an initial svn checkout 'ant download_jars' fails with Netbeans 7.3.1 (it's ok with eclipse) because 'lib.api' and 'lib.doc' does not exist.  The following is a patch, released by me under the ASF 2.0 License.


In build.xml file 

# This patch file was generated by NetBeans IDE
# It uses platform neutral UTF-8 encoding and \n newlines.
--- HEAD
+++ Modified In Working Tree
@@ -2921,6 +2921,8 @@
     <target name="download_jars" description="Download any missing jar files">
         <!-- build.dir may be needed as a temporary work area -->
         <mkdir dir="${build.dir}" />
+        <mkdir dir="${lib.api}" />
+        <mkdir dir="${lib.doc}" />
         <antcall target="_process_all_jars">
             <param name="_get_file" value="true"/>
         </antcall>
Comment 1 Antonio Gomes Rodrigues 2013-08-12 20:17:09 UTC
I's because because 'lib.api' and 'lib.doc' directory don't exist
Comment 2 Sebb 2013-08-14 14:41:53 UTC
It's not clear why the target only fails in Netbeans, as it works fine in Ant CLI, which creates the directories as necessary when moving the file from the temporary download directory.

What version of Ant is Netbeans using?
What is the failure message?
Comment 3 Antonio Gomes Rodrigues 2013-08-14 15:28:39 UTC
The error message

Checking bcmail-jdk15on-1.49.jar
Deleting bcmail-jdk15on-*.jar (excluding bcmail-jdk15on-1.49.jar)
/home/ra77/NetBeansProjects/jmeter_src2/trunk/build.xml:2924: The following error occurred while executing this line:
/home/ra77/NetBeansProjects/jmeter_src2/trunk/build.xml:2860: The following error occurred while executing this line:
/home/ra77/NetBeansProjects/jmeter_src2/trunk/build.xml:2752: The following error occurred while executing this line:
/home/ra77/NetBeansProjects/jmeter_src2/trunk/build.xml:2790: Directory does not exist: /home/ra77/NetBeansProjects/jmeter_src2/trunk/lib/api
BUILD FAILED (total time: 0 seconds)


The release of Netbeans : "Product Version: NetBeans IDE 7.3 (Build 201306052037)"

The release of ant : Apache Ant(TM) version 1.9.2 compiled on July 8 2013

The problem occur when I clone the github repository (https://github.com/apache/jmeter.git)

If a get the source from svn, it's works

But if I remove 'lib.api' and 'lib.doc' directory and I run again download_jars task, it failed
Comment 4 Sebb 2013-08-14 17:20:23 UTC
OK. I see the problem now.

I had tested against 2.9, and the build file has changed since then. The line mumbers helped track down the problem.
Comment 5 Sebb 2013-08-14 17:24:01 UTC
Thanks for the report and the patch.
Fixed:

URL: http://svn.apache.org/r1513969
Log:
ant download_jars task fails if lib/api or lib/doc are missing
Bugzilla Id: 55405

Modified:
    jmeter/trunk/build.xml
    jmeter/trunk/xdocs/changes.xml